# class Shell::Echo

### Public Class Methods

new(sh, *strings) click to toggle source
Calls superclass method

    # File lib/shell/builtin-command.rb, line 36
    def initialize(sh, *strings)
      super sh
      @strings = strings
    end

### Public Instance Methods

each(rs = nil) { |str| ... } click to toggle source

    # File lib/shell/builtin-command.rb, line 41
    def each(rs = nil)
      rs =  @shell.record_separator unless rs
      for str  in @strings
        yield str + rs
      end
    end